#!/bin/bash
# Name: Steffen Wirth
# Datum: 4.4.2004
trap "" 2 3
trap "" SIGTSTP
clear
echo "|------------Welcome to kernelscript 0.2.7-----------|"
echo "|                                                    |"
echo "|            ---Please select a Kernel---            |"
echo "|                                                    |"
echo "|  (1) Kernel 2.6.5 *new*  ( download new Kernel )   |"
echo "|  (2) Kernel 2.6.5        ( Existing Kernel )       |"
echo "|  (3) Kernel 2.4.26                                 |"
echo "|  (4) Kernel 2.6.4                                  |"
echo "|  (5) Cancel                                        |"
echo "|----------------------------------------------------|"
echo "|         - Choose a number and press Enter -        |"
echo "|----------------------------------------------------|"
read kernel
case "$kernel" in
'1')
	clear
	mkdir /usr/src
	cp ./backen-0.2 /usr/src/
	rm /usr/src/linux-2.6.5.tar.gz &
	rm -rf /usr/src/linux-2.6.5/ &
	cd /usr/src/ && wget ftp://ftp.kernel.org/pub/linux/kernel/v2.6/linux-2.6.5.tar.gz 
	clear
	echo "Kernel becomes now unpacked!"
	tar -xvzf linux-2.6.5.tar.gz && rm ./linux
	ln -s ./linux-2.6.5 ./linux
	mv ./backen-0.2 /usr/src/linux/ && cd /usr/src/linux/ && ./backen-0.2 2.6.5
	;;

'2')
	
	if [ -d /usr/src/linux-2.6.5/ ]; then
        cp ./backen-0.2 /usr/src/linux-2.6.5/
        cd /usr/src/ && rm -rf ./linux
        ln -s ./linux-2.6.5 ./linux
        cd /usr/src/linux && ./backen-0.2 2.6.5
        exit
        fi
	clear
	echo
	echo "|---------------------------------ERROR----------------------------------|"
	echo "|                Please use the normal 2.6.5 function!                   |"
	echo "|  It excist no 2.6.5 kernel source at this moment on this system        |"
	echo "|            or your must unpack your kernel package! the kernel must in |"
	echo "|                          /usr/src/linux-2.6.5/                         |"
	echo "|------------------------------------------------------------------------|"
	exit
	;;
'3')

	clear
	mkdir /usr/src
	cp ./backen-0.2 /usr/src/
	rm /usr/src/linux-2.4.26.tar.gz &
	rm -rf /usr/src/linux-2.4.25/ &
	cd /usr/src/ && wget ftp://ftp.kernel.org/pub/linux/kernel/v2.4/linux-2.4.26.tar.gz
	clear
	echo "Kernel becomes now unpacked!"
	tar -xzf linux-2.4.26.tar.gz && rm ./linux
	ln -s ./linux-2.4.26 ./linux
	mv ./backen-0.2 /usr/src/linux/ && cd /usr/src/linux/ && ./backen-0.2 2.4.26
	;;
'4')
	clear
	mkdir /usr/src
	cp ./backen-0.2 /usr/src
	rm /usr/src/linux-2.6.4.tar.gz &
	rm -rf /usr/src/linux-2.6.4/ &
	cd /usr/src/ && wget ftp://ftp.kernel.org/pub/linux/kernel/v2.6/linux-2.6.4.tar.gz
	clear
	echo "Kernel becomes now unpacked!"
	tar -xzf ./linux-2.6.4.tar.gz && rm ./linux
	ln -s ./linux-2.6.4 ./linux
	mv ./backen-0.2 /usr/src/linux/ && cd /usr/src/linux/ && ./backen-0.2 2.6.4
	;;
'5')
	exit
	;;
'-v')
	clear
	echo "back script Version 0.2.7"
	echo "by D4_Zaurus @ www.pissflitsche.net/kernelscript"
	;;
'--version')	
	clear
	echo "back script Version 0.2.7"
	echo "by D4_Zaurus @ www.pissflitsche.net/kernelscript"
	;;

*)
	
	echo "Please 1 - 2 - 3 - 4 or 5"
esac